org.apache.commons.math3.geometry.partitioning

## Enum BSPTreeVisitor.Order

- java.lang.Object
- - java.lang.Enum<BSPTreeVisitor.Order>
  - - org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor.Order

- All Implemented Interfaces:
    Serializable, Comparable<BSPTreeVisitor.Order>
  Enclosing interface:
    BSPTreeVisitor<S extends Space>

      public static enum BSPTreeVisitor.Order
      extends Enum<BSPTreeVisitor.Order>

  Enumerate for visit order with respect to plus sub-tree, minus sub-tree and cut sub-hyperplane.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MINUS_PLUS_SUB` Indicator for visit order minus sub-tree, then plus sub-tree, and last cut sub-hyperplane.
    `MINUS_SUB_PLUS` Indicator for visit order minus sub-tree, then cut sub-hyperplane, and last plus sub-tree.
    `PLUS_MINUS_SUB` Indicator for visit order plus sub-tree, then minus sub-tree, and last cut sub-hyperplane.
    `PLUS_SUB_MINUS` Indicator for visit order plus sub-tree, then cut sub-hyperplane, and last minus sub-tree.
    `SUB_MINUS_PLUS` Indicator for visit order cut sub-hyperplane, then minus sub-tree, and last plus sub-tree.
    `SUB_PLUS_MINUS` Indicator for visit order cut sub-hyperplane, then plus sub-tree, and last minus sub-tree.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BSPTreeVisitor.Order` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BSPTreeVisitor.Order[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLUS_MINUS_SUB

          public static final BSPTreeVisitor.Order PLUS_MINUS_SUB

      Indicator for visit order plus sub-tree, then minus sub-tree, and last cut sub-hyperplane.

    - #### PLUS_SUB_MINUS

          public static final BSPTreeVisitor.Order PLUS_SUB_MINUS

      Indicator for visit order plus sub-tree, then cut sub-hyperplane, and last minus sub-tree.

    - #### MINUS_PLUS_SUB

          public static final BSPTreeVisitor.Order MINUS_PLUS_SUB

      Indicator for visit order minus sub-tree, then plus sub-tree, and last cut sub-hyperplane.

    - #### MINUS_SUB_PLUS

          public static final BSPTreeVisitor.Order MINUS_SUB_PLUS

      Indicator for visit order minus sub-tree, then cut sub-hyperplane, and last plus sub-tree.

    - #### SUB_PLUS_MINUS

          public static final BSPTreeVisitor.Order SUB_PLUS_MINUS

      Indicator for visit order cut sub-hyperplane, then plus sub-tree, and last minus sub-tree.

    - #### SUB_MINUS_PLUS

          public static final BSPTreeVisitor.Order SUB_MINUS_PLUS

      Indicator for visit order cut sub-hyperplane, then minus sub-tree, and last plus sub-tree.

  - ### Method Detail

    - #### values

          public static BSPTreeVisitor.Order[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BSPTreeVisitor.Order c : BSPTreeVisitor.Order.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BSPTreeVisitor.Order valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.